/api/reward/reward
post
Add new reward
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
namestringRequired
reward_category_idintegerRequired
descriptionstringOptional
costintegerRequired
urlstringOptional
Responses
200
success
successbooleanOptionalExample:
truepost/api/reward/reward
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array(
'name' => 'test reward',
'reward_category_id' => '1',
'cost' => 20,
'description' => 'test reward description'
);
$request = array(
'method' => 'POST',
'path' => 'reward/reward',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true,
"result": "Reward added",
"reward": {
"rewardid": "1",
"reward_category_id": "1",
"cost": "20",
"name": "test reward",
"url": "",
"description": "test reward description",
"deleted": "0",
"thumb_ext": ""
}
}delete
Delete reward
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
rewardidintegerRequired
Responses
200
success
successbooleanOptionalExample:
truedelete/api/reward/reward
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array(
'rewardid' => '1'
);
$request = array(
'method' => 'DELETE',
'path' => 'reward/reward',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true,
"result": "Reward successfully marked deleted"
}patch
Edit reward
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
rewardidintegerRequired
namestringOptional
reward_category_idintegerOptional
descriptionstringOptional
costintegerOptional
urlstringOptional
Responses
200
success
successbooleanOptionalExample:
truepatch/api/reward/reward
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array(
'rewardid' => '1',
'name' => 'updated reward name',
'reward_category_id' => '1',
'description' => 'updated reward description',
'cost' => 100,
'url' => 'toomuchmedia.com'
);
$request = array(
'method' => 'PATCH',
'path' => 'reward/reward',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true,
"result": "Reward updated",
"reward": {
"rewardid": "1",
"reward_category_id": "1",
"cost": "100",
"name": "updated reward name",
"url": "toomuchmedia.com",
"description": "updated reward description",
"deleted": "0",
"thumb_ext": ""
}
}Last updated
Was this helpful?